Bug 205183 - Hibernate Reverse Engineering Wizard does not automatically connect to sample database
Hibernate Reverse Engineering Wizard does not automatically connect to sample...
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Hibernate
7.1
PC All
: P3 (vote)
: 7.2
Assigned To: Sergey Petrov
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-16 10:14 UTC by Jiri Skrivanek
Modified: 2012-05-21 12:52 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Stack trace from IDE log. (5.31 KB, text/plain)
2011-11-16 10:14 UTC, Jiri Skrivanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2011-11-16 10:14:51 UTC
Created attachment 113245 [details]
Stack trace from IDE log.

Product Version: NetBeans IDE Dev (Build 201111160600)
Java: 1.7.0_01; Java HotSpot(TM) Client VM 21.1-b02
System: Windows XP version 5.1 running on x86; Cp1250; en_US (nb)

Hibernate Reverse Engineering Wizard does not automatically connect to sample database. To reproduce:

- create new web project with hibernate framework (connection to sample database in Java DB)
- Open new file wizard
- Choose "Hibernate|Hibernate Reverse Engineering Wizard" and click Next
- Browse for src/java folder and click Next
- it should connect to sample database but it doesn't. On the contrary Hibernate Mapping Wizard is able to connect to database successfully.
Comment 1 Sergey Petrov 2011-11-16 12:13:47 UTC
yes, there is message like "can't connect" and you have to connect from Services first.
Comment 2 Sergey Petrov 2012-05-17 12:45:56 UTC
now ide will try to start connection of connection is registed withing ide
http://hg.netbeans.org/web-main/rev/abc1b3ad389c
Comment 3 Quality Engineering 2012-05-18 09:54:32 UTC
Integrated into 'main-golden', will be available in build *201205180400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/abc1b3ad389c
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #205183 connect with nb funtionality before usage


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo